import { LitElement } from 'lit';
export declare class NileRteColor extends LitElement {
    protected createRenderRoot(): this;
    mode: 'foreColor' | 'backColor';
    label: string;
    value: string;
    palette: string[];
    private recentColors;
    private inputEl;
    connectedCallback(): void;
    private injectCss;
    private setColor;
    private pickCustom;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'nile-rte-color': NileRteColor;
    }
}
